## org.eclipse.amp.amf.testing.ares.validation
Interface ConstraintTestValidator

    public interface ConstraintTestValidator

A sample validator interface for `ConstraintTest`. This doesn't really do anything, and it's not a real EMF artifact. It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended. This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.

Method Summary
`boolean` `validate()`
`boolean` `validateActualValue(double value)`
`boolean` `validateConstraint(Constraint value)`
`boolean` `validateFailure(boolean value)`
`boolean` `validateIssue(Issue value)`

Method Detail

### validate

    boolean validate()

### validateConstraint

    boolean validateConstraint(Constraint value)

### validateIssue

    boolean validateIssue(Issue value)

### validateActualValue

    boolean validateActualValue(double value)

### validateFailure

    boolean validateFailure(boolean value)